import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  public title = 'app';

  public users: IUser[];
  public currentUser: IUser;

  public ngOnInit() {
    this.users = [
      {
        title: "John Doe (Administrator)",
        isAdmin: true,
        icons: ["search", "settings", "settings_ethernet", "settings_remote"]
      },
      {
        title: "Jane Doe",
        isAdmin: false,
        icons: ["search", "favorite", "call"]
      }
    ];

    this.currentUser = this.users[0];
  }
}

export interface IUser {
  title: string;
  isAdmin: boolean;
  icons: string[];
}